Reply
New Member
Posts: 6
Registered: ‎09-19-2016
Kudos: 1

AP IN-WALL unable to upgrade from 3.3.8.3791

I got 4 AP IN-WALL's and they all have the 3.3.8.3791 firmware,  I have tried to upgrade them and its no luck,  They just reboot and are still on the same firmware version. They work but it keeps saying need upgrade.

 

apiw.png

 

I have even tried older firmwares,  3.4, 3.7 and they didnt work.  


I appreciate any help,  Thanks

Senior Member
Posts: 13,108
Registered: ‎08-04-2017
Kudos: 2229
Solutions: 643

Re: AP IN-WALL unable to upgrade from 3.3.8.3791

[ Edited ]

Hello @angusAG,

 

Could you try to upgrade it though SSH?

upgrade http://dl.ubnt.com/unifi/firmware/U2IW/3.7.58.6385/BZ.qca933x.v3.7.58.6385.170508.0942.bin

Only use this commands for the UAP IW

 

 

 

Regards,

Glenn R.

Cloud Hosted Controllers | Glenn R. | UniFi Installation/Easy Update Scripts | UniFi-Video Installation/Easy Update Scripts | UniFi-VoIP Installation Scripts
USG-4-PRO • USG
USW-48-500W • USW-24-POE-250W 2x • USW-16-POE-150W 3x • USW-24 • USW-8-150W • USW-8
UAP XG • UAP-SHD • UAP-HD • UAP-NanoHD • UAP-AC-PRO 2x • UAP-AC-LITE • UAP-AC-IW • UAP-AC-M
UCK-G2-PLUS • UCK-G2 • UCK
New Member
Posts: 6
Registered: ‎09-19-2016
Kudos: 1

Re: AP IN-WALL unable to upgrade from 3.3.8.3791

Thanks I will give that a try

New Member
Posts: 6
Registered: ‎09-19-2016
Kudos: 1

Re: AP IN-WALL unable to upgrade from 3.3.8.3791

I tried to do it and I got this error

 

BZ.v3.3.8# fwupdate -m
Message Digest successfully verfied.
/usr/bin/fwupdate: About to run firmware update
BZ.v3.3.8# packet_write_wait: Connection to UNKNOWN port -1: I/O error
NaCl plug-in exited with status code 255.
(R)econnect, (C)hoose another connection or E(x)it?
 failed! :(
Senior Member
Posts: 13,108
Registered: ‎08-04-2017
Kudos: 2229
Solutions: 643

Re: AP IN-WALL unable to upgrade from 3.3.8.3791

Hello @angusAG,

 

Did you run the commands from my previous post?

 

 

Regards,

Glenn R.

Cloud Hosted Controllers | Glenn R. | UniFi Installation/Easy Update Scripts | UniFi-Video Installation/Easy Update Scripts | UniFi-VoIP Installation Scripts
USG-4-PRO • USG
USW-48-500W • USW-24-POE-250W 2x • USW-16-POE-150W 3x • USW-24 • USW-8-150W • USW-8
UAP XG • UAP-SHD • UAP-HD • UAP-NanoHD • UAP-AC-PRO 2x • UAP-AC-LITE • UAP-AC-IW • UAP-AC-M
UCK-G2-PLUS • UCK-G2 • UCK
New Member
Posts: 6
Registered: ‎09-19-2016
Kudos: 1

Re: AP IN-WALL unable to upgrade from 3.3.8.3791

Tried it again and it worked,  I used Chrome this time.


Thanks so much!

Senior Member
Posts: 13,108
Registered: ‎08-04-2017
Kudos: 2229
Solutions: 643

Re: AP IN-WALL unable to upgrade from 3.3.8.3791

[ Edited ]

Hello @angusAG,

 

Awesome, thanks for reporting back!

Does upgrading via the GUI work now?

 

Otherwise run the following command.

upgrade https://dl.ubnt.com/unifi/firmware/U2IW/3.9.54.9373/BZ.qca933x.v3.9.54.9373.180913.2356.bin

 

 

Regards,

Glenn R.

Cloud Hosted Controllers | Glenn R. | UniFi Installation/Easy Update Scripts | UniFi-Video Installation/Easy Update Scripts | UniFi-VoIP Installation Scripts
USG-4-PRO • USG
USW-48-500W • USW-24-POE-250W 2x • USW-16-POE-150W 3x • USW-24 • USW-8-150W • USW-8
UAP XG • UAP-SHD • UAP-HD • UAP-NanoHD • UAP-AC-PRO 2x • UAP-AC-LITE • UAP-AC-IW • UAP-AC-M
UCK-G2-PLUS • UCK-G2 • UCK
New Member
Posts: 22
Registered: ‎03-16-2017
Kudos: 1

Re: AP IN-WALL unable to upgrade from 3.3.8.3791

[ Edited ]

We've noticed this, and were also unable to work around it by doing any form of custom upgrade to an intermediary verison like 3.3.20 or by using ssh.

 

What has confirmed it for us that it's definitely a bug in the controller is that we can get it them to upgrade by connecting the APs to a 5.8.x controller and doing the update there will take them straight from 3.3.8 to 3.9.54

 

So that is a work-around but obviously better if it was fixed in 5.9!

 

 

New Member
Posts: 24
Registered: 2 weeks ago

Re: AP IN-WALL unable to upgrade from 3.3.8.3791

Having exactly the same issue with 3 Ap-inwalls I just got and I get access denied when I enter username and password into a Putty SSH on port 22

 

Using the credentials specified in the Unify Controller

 

Any idea how to get around this?

 

 

ssh login.jpg
Senior Member
Posts: 13,108
Registered: ‎08-04-2017
Kudos: 2229
Solutions: 643

Re: AP IN-WALL unable to upgrade from 3.3.8.3791

Hello @ianlap,

 

Welcome to the community!

 

They should accept those credentials if they are adopted to the controller.

What is the LED color of these units?

 

 

Regards,

Glenn R.

Cloud Hosted Controllers | Glenn R. | UniFi Installation/Easy Update Scripts | UniFi-Video Installation/Easy Update Scripts | UniFi-VoIP Installation Scripts
USG-4-PRO • USG
USW-48-500W • USW-24-POE-250W 2x • USW-16-POE-150W 3x • USW-24 • USW-8-150W • USW-8
UAP XG • UAP-SHD • UAP-HD • UAP-NanoHD • UAP-AC-PRO 2x • UAP-AC-LITE • UAP-AC-IW • UAP-AC-M
UCK-G2-PLUS • UCK-G2 • UCK
New Member
Posts: 24
Registered: 2 weeks ago

Re: AP IN-WALL unable to upgrade from 3.3.8.3791

Yep I know they should but Unifys multi-layered logins and pwds are a pain in the ass

I tried upgrading the AP's before adoption as well as after - it goes off and says it updates but then tells me it needs upgrades again

Using the SSH I can connect to the devices but it wont authenticate with the SSH creds I setup nor any other Unify user/pass combinations

Very frustrating
New Member
Posts: 24
Registered: 2 weeks ago

Re: AP IN-WALL unable to upgrade from 3.3.8.3791

Ooops the LED is a solid blue
New Member
Posts: 22
Registered: ‎03-16-2017
Kudos: 1

Re: AP IN-WALL unable to upgrade from 3.3.8.3791

Yup. That's what we saw too. We found no work-around other doing to upgrade from an older 5.8.x controller I'm afraid.

New Member
Posts: 24
Registered: 2 weeks ago

Re: AP IN-WALL unable to upgrade from 3.3.8.3791

I am nervous about changing to an older controller sw version as I fear I would have to do the entire setup again - already made a mistake of testing the controller to use a map feature to test potential coverage and I never gave an email address so a week later I had forgot the user/pass and a recover pwd never worked because I had no emaill address in the controller so another 6 hours wasted till 3am last night

Senior Member
Posts: 13,108
Registered: ‎08-04-2017
Kudos: 2229
Solutions: 643

Re: AP IN-WALL unable to upgrade from 3.3.8.3791

Hello @ianlap,

 

No need to change the controller..

Try to use firmware version 3.7.58 and than upgrade to 

3.9.54 than you can use the upgrade button in the controller. ( this is what I recommend doing )

Devices > UAP > Config > Manage Device > Custom Upgrade

 

Regards,

Glenn R.

Cloud Hosted Controllers | Glenn R. | UniFi Installation/Easy Update Scripts | UniFi-Video Installation/Easy Update Scripts | UniFi-VoIP Installation Scripts
USG-4-PRO • USG
USW-48-500W • USW-24-POE-250W 2x • USW-16-POE-150W 3x • USW-24 • USW-8-150W • USW-8
UAP XG • UAP-SHD • UAP-HD • UAP-NanoHD • UAP-AC-PRO 2x • UAP-AC-LITE • UAP-AC-IW • UAP-AC-M
UCK-G2-PLUS • UCK-G2 • UCK
New Member
Posts: 24
Registered: 2 weeks ago

Re: AP IN-WALL unable to upgrade from 3.3.8.3791

This link?

Any instructions after I dl it?

Thanks
Senior Member
Posts: 13,108
Registered: ‎08-04-2017
Kudos: 2229
Solutions: 643

Re: AP IN-WALL unable to upgrade from 3.3.8.3791

Hello @ianlap,

 

Paste the firmware binary link location into the custom upgrade option.

I can give you the link if you let me know the exact model number.

 

 

Regards,

Glenn R.

Cloud Hosted Controllers | Glenn R. | UniFi Installation/Easy Update Scripts | UniFi-Video Installation/Easy Update Scripts | UniFi-VoIP Installation Scripts
USG-4-PRO • USG
USW-48-500W • USW-24-POE-250W 2x • USW-16-POE-150W 3x • USW-24 • USW-8-150W • USW-8
UAP XG • UAP-SHD • UAP-HD • UAP-NanoHD • UAP-AC-PRO 2x • UAP-AC-LITE • UAP-AC-IW • UAP-AC-M
UCK-G2-PLUS • UCK-G2 • UCK
New Member
Posts: 22
Registered: ‎03-16-2017
Kudos: 1

Re: AP IN-WALL unable to upgrade from 3.3.8.3791

[ Edited ]

Sorry, I think there is some misunderstanding here. From our experience the problem is in applying any new firmware version to the original in-wall AP from controllers higher than 5.8. It simply won't take, so you can't even get to the intermediary versions. We had to go to 5.8 controller to apply 3.9.54 (corrected) only then would it take the higher versions from a newer controller.

Senior Member
Posts: 13,108
Registered: ‎08-04-2017
Kudos: 2229
Solutions: 643

Re: AP IN-WALL unable to upgrade from 3.3.8.3791

Hello @st-edmunds-it,

 

Thats not true... the latest controllers are upgrading with  HTTPS which is not support on firmware versions before 3.7.51..

 

 

Regards,

Glenn R.

Cloud Hosted Controllers | Glenn R. | UniFi Installation/Easy Update Scripts | UniFi-Video Installation/Easy Update Scripts | UniFi-VoIP Installation Scripts
USG-4-PRO • USG
USW-48-500W • USW-24-POE-250W 2x • USW-16-POE-150W 3x • USW-24 • USW-8-150W • USW-8
UAP XG • UAP-SHD • UAP-HD • UAP-NanoHD • UAP-AC-PRO 2x • UAP-AC-LITE • UAP-AC-IW • UAP-AC-M
UCK-G2-PLUS • UCK-G2 • UCK
New Member
Posts: 24
Registered: 2 weeks ago

Re: AP IN-WALL unable to upgrade from 3.3.8.3791

Model UniFi AP-In Wall
Version 3.3.8.3791
Reply